<!DOCTYPE html>
<html lang="es">
    <%- include('../partials/head', {title : 'Noticias' }) %>

    <body class="admin-body">
        <%- include('../components/navBar') %>
        <div class="admin">
            <div class="row">
                <%- include('../components/sideBarMenu') %>
                <main class="col-md-9 ms-sm-auto px-md-4">
                <% if (locals.active && locals.active === 'create') { %>
                    <div class="title-admin">
                        <h1>Nueva noticia</h1>
                    </div>
                    <form class="create-form" action="/admin/noticias/nuevo" method="post" id="create-new-form" name="create-form" enctype="multipart/form-data">
                <% } else { %>
                    <div class="title-admin">
                        <h1>Editar noticia</h1>
                    </div>
                    <form class="edit-form" action="/admin/<%= locals.newData.id %>/editar-noticia" method="post" id="edit-noticia-form" enctype="multipart/form-data">
                <%} %>
                    
                    <div id="seccionError" class="mb-4">
                        <% if (locals.mensaje){ %>
                            <% if(typeof locals.mensaje == typeof {}) { %>
                                <div class="alert alert-<%= ( locals.ok == true ) ? 'success' : 'danger' %> align-items-center" role="alert">
                                    <ul class="mb-0">
                                        <% locals.mensaje.forEach(item => { %>
                                            <li>
                                                <b><%= item.msg %></b>
                                            </li>
                                        <% }) %>
                                    </ul>                                                                                                                                              
                                </div>
                            <% } else { %>
                                <div class="alert alert-<%= ( locals.ok == true ) ? 'success' : 'danger' %> align-items-center" role="alert">
                                    <span> 
                                        <b>
                                            <%= locals.mensaje%>
                                        </b>
                                    </span>
                                </div>
                            <% } %>
                        <% } %>
                    </div>
                        
                        <div class="mb-3">
                            <label for="name" class="form-label"><strong>Título</strong></label>
                            <input 
                                type="text" 
                                id="title"
                                class="form-control" 
                                name="title"
                                value="<%= locals.newData? locals.newData.title : '' %>" 
                                required
                            >
                        </div>  

                        <div class="mb-3">
                            <label for="name" class="form-label"><strong>Resumen</strong></label>
                            <textarea name="summary" id="editor" required>
                                <%= locals.newData? locals.newData.summary : '' %>
                            </textarea>
                            <div id="word-count">
                                <% if(locals.newData) { %>
                                    <span class="info-text"> Máximo de caracteres: 255 Cantidad de caracteres: <%= locals.newData.summary.length %></span> 
                                <% } else { %>
                                    <span class="info-text"> Máximo de caracteres: 255 Cantidad de caracteres: 0</span> 
                                <% } %> 
                            </div>
                        </div>  

                        <div class="mb-3 block-image">
                            <% if(locals.newData) { %>
                                <label for="name" class="form-label"><strong>Imagen</strong></label>                                
                                <div class="alert alert-primary mb-3" role="alert">
                                    Puede seleccionar una imagen desde su computador o utilizar el enlace de una ya cargada anteriormente
                                </div>
                                <!-- <input 
                                    class="form-control" 
                                    id="imagen" 
                                    name="imagen"
                                    type="file" 
                                    accept="image/*"
                                >    -->
                                <div class="row">
                                    <div class="col-12 col-lg-5">
                                        <input 
                                            class="form-control" 
                                            id="imagen" 
                                            name="imagen"
                                            type="file" 
                                            accept="image/*"
                                        >   
                                        <span class="info-text">Solo se aceptan archivos jpg, jpeg y png con de tamaño máximo de 2Mb </span>
                                    </div>
                                    <span class="col-lg-2 text-center">o</span>
                                    <div class="col-12 col-lg-5">
                                        <input 
                                            type="text" 
                                            id="linkImage"
                                            class="form-control" 
                                            name="linkImage"
                                            placeholder="Enlace de la imagen"
                                        >         
                                    </div>
                                </div>
                                <!-- <span class="info-text">Solo se aceptan archivos jpg, jpeg y png con de tamaño máximo de 2Mb </span> -->
                                
                                <input type="text" disabled="disabled" class="form-control my-4" value="https://adminportal.utp.edu.co/img/uploads/<%= newData.image%>">
                                <img src="/img/uploads/<%=newData.image%>" alt="imagen de <%= newData.title%>">
                            <% } else { %>
                                <label for="name" class="form-label"><strong>Imagen</strong></label>
                                <div class="alert alert-primary mb-3" role="alert">
                                    Puede seleccionar una imagen desde su computador o utilizar el enlace de una ya cargada anteriormente
                                </div>
                                <div class="row">
                                    <div class="col-12 col-lg-5">
                                        <input 
                                            class="form-control" 
                                            id="imagen" 
                                            name="imagen"
                                            type="file" 
                                            accept="image/*"
                                        >   
                                        <span class="info-text">Solo se aceptan archivos jpg, jpeg y png con de tamaño máximo de 2Mb </span>
                                    </div>
                                    <span class="col-lg-2 text-center">o</span>
                                    <div class="col-12 col-lg-5">
                                        <input 
                                            type="text" 
                                            id="linkImage"
                                            class="form-control" 
                                            name="linkImage"
                                            placeholder="Enlace de la imagen"
                                        >         
                                    </div>
                                </div>
                            <% } %>                                  
                        </div>
                                                                      
                        <div class="mb-3">
                            <label for="name" class="form-label"><strong>Enlace noticia</strong></label>
                            <input 
                                type="text" 
                                id="link"
                                class="form-control" 
                                name="link"
                                value="<%= locals.newData ? locals.newData.link: '' %>" 
                                required
                                
                            >                            
                        </div>                       

                        <!-- <div class="mb-3">
                            <% if(locals.newData) { %>
                                <label for="name" class="form-label"><strong>Selecciona una(s) categoría</strong></label>
                                <select id="selectCategories" name="selectCategories" placeholder="Elige una o varias categorías" multiple="multiple">   
                                    <% dataCategories.forEach(category => { %>
                                        <option value="<%= category.id %>" <%= (category.isSelected)? 'selected':'' %>> <%= category.name %></option>
                                    <% }) %>                                                                         
                                </select>
                            <% } else { %>                                
                                <label for="name" class="form-label"><strong>Selecciona una(s) categoría</strong></label>
                                <select id="selectCategories" name="selectCategories" placeholder="Elige una o varias categorías">
                                    <% dataCategories.forEach(category => { %>
                                        <option value="<%= category.id %>"><%= category.name %></option>                                        
                                    <% }) %>
                                </select>
                                
                            <% } %>  
                        </div> -->

                        <% if(locals.newData) { %>
                            <div class="mb-3 form-check form-switch">
                                <input 
                                    type="checkbox"
                                    id="active"
                                    class="form-check-input"
                                    name="active"
                                    role="switch"
                                    <%= ( locals.newData.active == true ) ? 'checked' : '' %>
                            
                                >
                            <label class="form-check-label" for="idRole">Activo</label>
                            </div>
                        <% } %>
                                                
                        <div class="mb-3 form-check form-switch">
                            <input 
                                type="checkbox"
                                id="activeForPortal"
                                class="form-check-input"
                                name="activeForPortal"
                                role="switch"
                                <%= ( locals.newData.activeForPortal == true ) ? 'checked' : '' %>
                                
                            >
                          <label class="form-check-label" for="active">Portal principal</label>
                        </div>   

                        <div class="mb-3">
                            <label class="form-check-label" for="active">Posicion en el portal principal:</label>
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio1" value="option1" <%= (locals.newData.position == 1) ?'checked' : '' %> >
                                <label class="form-check-label" for="inlineRadio1">1</label>
                            </div>
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio2" value="option2" <%= (locals.newData.position == 2) ?'checked' : '' %>>
                                <label class="form-check-label" for="inlineRadio2">2</label>
                            </div>
                            <div class="form-check form-check-inline">
                                <input class="form-check-input" type="radio" name="inlineRadioOptions" id="inlineRadio3" value="option3" <%= (locals.newData.position == 3) ?'checked' : '' %>>
                                <label class="form-check-label" for="inlineRadio3">3</label>
                            </div>
                            
                        </div>   

                        <% if(locals.newData) { %>
                            <div class="">
                                <label for="name" class="form-label"><strong>Autor de la noticia</strong></label>
                                <input type="text" disabled="disabled" class="form-control mb-4" value="<%= newData.User.name%>">
                            </div>
                        <% } %>

                        <% if (locals.active && locals.active === 'create') { %>
                            <div class="btn-group " role="group" aria-label="Basic outlined example">
                                <button id="btn-enviar" type="submit" class="btn btn-outline-institucional">Crear</button>
                            </div>
                        <% } else { %>
                            <div class="btn-group" role="group" aria-label="Basic outlined example">
                                <button id="btn-enviar" type="submit" class="btn btn-outline-institucional">Actualizar</button>
                            </div>
                        <%} %>
                        
                    </form>
                </main>
            </div>
        </div>

        <!-- SELECTIZE -->
        <script>   
            $(function () {

                $('#selectCategories').selectize({
                    plugins: ["remove_button"],
                    maxItems: null,                    
                    valueField: 'id',
                    labelField: 'title',
                    searchField: 'title',
                    create: false
                });
            }); 
        </script>

        <!-- CKEDITOR5 -->        
        <script>
            ClassicEditor
            .create( document.querySelector( '#editor' ), {
                toolbar: [
                    'heading', '|', 'undo', 'redo', '|', 'bold', 'italic', '|',
                    'blockQuote', 'indent', 'link', '|', 'bulletedList', 'numberedList'
                ],                
            } )
            .catch( error => {
                console.error( error );
            } );
        </script>

        <script>
            document.addEventListener('DOMContentLoaded', (e) => {

                const selectorInfo = document.querySelector(".ck-content")
                const selectorContador = document.getElementById("word-count")
                selectorInfo.addEventListener("keyup",function(event) {

                    let countCharacters 
                    (selectorInfo.innerText == '\n') 
                    ? countCharacters = 0 
                    : countCharacters = selectorInfo.innerText.length
                    
                    selectorContador.innerHTML = `<p class="info-text"> Máximo de caracteres: 255  Cantidad de caracteres: ${countCharacters}</p>` 
                })
                
            })
        </script>

        <script src="/js/createNewFormValidator.js"></script>
        
    </body>
</html>